OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
show_help.h File Reference

Populates global structure with system-specific information. More...

`#include "orte_config.h"`
`#include "orte/types.h"`
`#include "orte/mca/rml/rml_types.h"`

Go to the source code of this file.

## Functions
BEGIN_C_DECLS ORTE_DECLSPEC int | orte_show_help_init (void)
| Initializes the output stream system and opens a default "verbose" stream. More...
ORTE_DECLSPEC bool | orte_show_help_is_available (void)
| Allow other parts of the code base to know if the ORTE show_help system is available or not (does not necessarily indicate that aggregating is available; on no-ORTE systems, ORTE show_help is available, but aggregating is not).
ORTE_DECLSPEC void | orte_show_help_finalize (void)
| Shut down the output stream system. More...
ORTE_DECLSPEC int | orte_show_help (const char *filename, const char *topic, bool want_error_header,...)
| Show help. More...
ORTE_DECLSPEC int | orte_show_help_norender (const char *filename, const char *topic, bool want_error_header, const char *output)
| Exactly the same as orte_show_help, but pass in a rendered string, rather than a varargs list which must be rendered.
ORTE_DECLSPEC int | orte_show_help_suppress (const char *filename, const char *topic)
| Pretend that this message has already been shown. More...
ORTE_DECLSPEC void | orte_show_help_recv (int status, orte_process_name_t *sender, opal_buffer_t *buffer, orte_rml_tag_t tag, void *cbdata)

## Detailed Description

Populates global structure with system-specific information.

Notes: add limits.h, compute size of integer and other types via sizeof(type)*CHAR_BIT

## Function Documentation

ORTE_DECLSPEC int orte_show_help | ( | const char * | filename,
|  | const char * | topic,
|  | bool | want_error_header,
|  |  | ...
| ) |  |

Show help.

Sends show help messages to the HNP if on a backend node. Note that aggregation is not currently supported on HNP-less systems (e.g., cray).

References opal_show_help_vstring(), and orte_show_help_norender().

Referenced by mca_btl_base_select(), mca_btl_ud_component_init(), mca_coll_base_comm_select(), mca_coll_base_find_available(), ompi_mpi_abort(), ompi_mpi_finalize(), ompi_mpi_init(), ompi_proc_complete_init(), ompi_proc_refresh(), ompi_proc_unpack(), orte_ess_base_orted_setup(), orte_init(), orte_odls_base_open(), orte_plm_submit_launch(), orte_ras_gridengine_allocate(), orte_rmaps_base_filter_nodes(), orte_rmaps_base_get_target_nodes(), orte_rmaps_base_open(), orte_show_help_init(), and orte_util_add_hostfile_nodes().

ORTE_DECLSPEC void orte_show_help_finalize | ( | void |  | ) |

Shut down the output stream system.

Shut down the output stream system, including the default verbose stream.

References OBJ_DESTRUCT, orte_rml, and orte_rml_module_t::recv_cancel.

Referenced by orte_finalize().

BEGIN_C_DECLS ORTE_DECLSPEC int orte_show_help_init | ( | void |  | ) |

Initializes the output stream system and opens a default "verbose" stream.

Return values

  success | Upon success.
  error | Upon failure.

This should be the first function invoked in the output subsystem. After this call, the default "verbose" stream is open and can be written to via calls to orte_output_verbose() and orte_output_error().

By definition, the default verbose stream has a handle ID of 0, and has a verbose level of 0.

References OBJ_CONSTRUCT, OPAL_OUTPUT_VERBOSE, and orte_show_help().

Referenced by orte_init().

ORTE_DECLSPEC int orte_show_help_suppress | ( | const char * | filename,
|  | const char * | topic
| ) |  |

Pretend that this message has already been shown.

Sends a control message to the HNP that will effecitvely suppress this message from being shown. Primitive *-wildcarding is possible.

Not currently supported on HNP-less systems (e.g., cray).

References orte_proc_info_t::my_hnp_uri, OBJ_CONSTRUCT, OBJ_DESTRUCT, OPAL_INT8, OPAL_STRING, ORTE_PROC_MY_NAME, orte_process_info, orte_rml, orte_routed, and orte_rml_module_t::send_buffer.